
Application: gvSIG desktop - gvSIG bugs #4557
installing external plugins fails
07/25/2017 09:48 AM - Andrea Antonello

Status: Outdated % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee:
Category: Installer
Target version:
Severity: Major Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: 2827 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

I am not sure if I am doing something wrong, but the version 2.4 doesn't allow me to install plugins.

I am building them through maven and then zipping them as a gvspkg. gvSIG sees the package and attempts to install them, but in
the last step it fails telling that the package can't be downloaded.

In the log it looks like it is indeed trying to download it:

 INFO 66870 [AWT-EventQueue-0] (DependenciesCalculatorV2.java:249) - Required packages:

 INFO 66875 [AWT-EventQueue-0] (DependenciesCalculatorV2.java:250) - Unresolved dependencies:

 INFO 66876 [AWT-EventQueue-0] (DependenciesCalculatorV2.java:251) - Conflict packages:

 INFO 66876 [AWT-EventQueue-0] (DependenciesCalculatorV2.java:252) - Attempts Requireds: 1
 INFO 68749 [File download] (Download.java:120) - Downloading file
gvSIG-desktop-2.3.0-org.jgrasstools.gvsig.epanet-0.1.1-1-testing-all-all-j1_8.gvspkg from URL http://downloads.gvsig.org/p
ool/org.jgrasstools.gvsig.epanet/gvSIG-desktop-2.3.0-org.jgrasstools.gvsig.epanet-0.1.1-1-testing-all-all-j1_8.gvspkg, with last
modified date: Thu Jan 01 01:00:00 CET 1970
 INFO 68901 [File download] (Download.java:120) - Downloading file
gvSIG-desktop-2.3.0-org.jgrasstools.gvsig.epanet-0.1.1-1-testing-all-all-j1_8.gvspkg from URL http://downloads.gvsig.org/.
./../pool/org.jgrasstools.gvsig.epanet/gvSIG-desktop-2.3.0-org.jgrasstools.gvsig.epanet-0.1.1-1-testing-all-all-j1_8.gvspkg, with
last modified date: Thu Jan 01 01:00:00 CET 1970
 INFO 68978 [File download] (Download.java:120) - Downloading file
gvSIG-desktop-2.3.0-org.jgrasstools.gvsig.epanet-0.1.1-1-testing-all-all-j1_8.gvspkg from URL http://downloads.gvsig.org/d
ownload/gvsig-desktop/pool/org.jgrasstools.gvsig.epanet/gvSIG-desktop-2.3.0-org.jgrasstools.gvsig.epanet-0.1.1-1-testing-all-all-j1_8.gvspkg, with last modified date: Thu Jan 01 01:00:00 CE
T 1970
 INFO 68985 [File download] (DefaultPackageInfo.java:545) - Can't download package 'org.jgrasstools.gvsig.epanet' from server 'http://downloads.gvsig.org/download/gvsig-desktop/'.
org.gvsig.installer.lib.impl.DefaultPackageInfo$FileDownloadException: File 'http://downloads.gvsig.org/download/gvsig-desktop/pool/org.jgrasstools.gvsig.epanet/gvSIG-desktop-2.3.0-org.jgra
sstools.gvsig.epanet-0.1.1-1-testing-all-all-j1_8.gvspkgs' download error
        at org.gvsig.installer.lib.impl.DefaultPackageInfo.downloadFromPackageInfoURL(DefaultPackageInfo.java:592)
        at org.gvsig.installer.lib.impl.DefaultPackageInfo.downloadFile(DefaultPackageInfo.java:541)
        at org.gvsig.installer.lib.impl.execution.PackagesCache$IndexCacheEntry.download(PackagesCache.java:88)
        at org.gvsig.installer.lib.impl.execution.PackagesCache.download(PackagesCache.java:241)
        at org.gvsig.installer.lib.impl.execution.DefaultInstallPackageService.downloadPackage(DefaultInstallPackageService.java:476)
        at org.gvsig.installer.swing.impl.execution.wizard.DownloadProgressWizardPage$UpdatePanel.run(DownloadProgressWizardPage.java:153)
Caused by: java.io.FileNotFoundException: http://downloads.gvsig.org/down
ll-j1_8.gvspkg, with last modified date: Thu Jan 01 01:00:00 CE
T 1970
 INFO 68985 [File download] (DefaultPackageInfo.java:545) - Can't download package 'org.jgrasstools.gvsig.epanet' from
server 'http://downloads.gvsig.org/download/gvsig-desktop/'.
org.gvsig.installer.lib.impl.DefaultPackageInfo$FileDownloadException: File
'http://downloads.gvsig.org/download/gvsig-desktop/pool/org.jgrasstools.gvsig.epanet/gvSIG-desktop-2.3.0-org.jgra
sstools.gvsig.epanet-0.1.1-1-testing-all-all-j1_8.gvspkgs' download error
        at org.gvsig.installer.lib.impl.DefaultPackageInfo.downloadFromPackageInfoURL(DefaultPackageInfo.java:592)
        at org.gvsig.installer.lib.impl.DefaultPackageInfo.downloadFile(DefaultPackageInfo.java:541)
        at org.gvsig.installer.lib.impl.execution.PackagesCache$IndexCacheEntry.download(PackagesCache.java:88)
        at org.gvsig.installer.lib.impl.execution.PackagesCache.download(PackagesCache.java:241)
        at
org.gvsig.installer.lib.impl.execution.DefaultInstallPackageService.downloadPackage(DefaultInstallPackageService.java:476)
        at
org.gvsig.installer.swing.impl.execution.wizard.DownloadProgressWizardPage$UpdatePanel.run(DownloadProgressWizardPage.java:153)
Caused by: java.io.FileNotFoundException: http://downloads.gvsig.org/download/gvsig-desktop/pool/org.jgrasstools.gvsig.epanet/gvSIG-desktop-2.3.0-org.jgrasstools.gvsig.epanet-0.1.1-1-testin
g-all-all-j1_8.gvspkg
        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
        at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
        at java.lang.reflect.Constructor.newInstance(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection$10.run(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection$10.run(Unknown Source)
        at java.security.AccessController.doPrivileged(Native Method)
        at sun.net.www.protocol.http.HttpURLConnection.getChainedException(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown Source)
        at org.gvsig.installer.lib.impl.utils.Download.downloadFile(Download.java:129)
        at org.gvsig.installer.lib.impl.DefaultPackageInfo.downloadFromPackageInfoURL(DefaultPackageInfo.java:581)
        ... 5 more
Caused by: java.io.FileNotFoundException: http://downloads.gvsig.org/download/gvsig-desktop/pool/org.jgrasstools.gvsig.epanet/gvSIG-desktop-2.3.0-org.jgrasstools.gvsig.epanet-0.1.1-1-testin
g-all-all-j1_8.gvspkg
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getHeaderField(Unknown Source)
        at org.gvsig.installer.lib.impl.utils.Download.getFileName(Download.java:217)
        at org.gvsig.installer.lib.impl.utils.Download.downloadFile(Download.java:116)
        ... 6 more
 INFO 68992 [File download] (DownloadProgressWizardPage.java:159) - Can't download package 'org.jgrasstools.gvsig.epanet'.
java.lang.RuntimeException: Can't download package of 'org.jgrasstools.gvsig.epanet'.
        at org.gvsig.installer.lib.impl.execution.PackagesCache$IndexCacheEntry.download(PackagesCache.java:90)
        at org.gvsig.installer.lib.impl.execution.PackagesCache.download(PackagesCache.java:241)
        at org.gvsig.installer.lib.impl.execution.DefaultInstallPackageService.downloadPackage(DefaultInstallPackageService.java:476)
        at org.gvsig.installer
ge.java:153)
Caused by: java.io.FileNotFoundException:
http://downloads.gvsig.org/download/gvsig-desktop/pool/org.jgrasstools.gvsig.epanet/gvSIG-desktop-2.3.0-org.jgrasstools.gvsig.epanet-0.1.1-1-testin
g-all-all-j1_8.gvspkg
        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
        at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
        at java.lang.reflect.Constructor.newInstance(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection$10.run(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection$10.run(Unknown Source)
        at java.security.AccessController.doPrivileged(Native Method)
        at sun.net.www.protocol.http.HttpURLConnection.getChainedException(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown Source)
        at org.gvsig.installer.lib.impl.utils.Download.downloadFile(Download.java:129)
        at org.gvsig.installer.lib.impl.DefaultPackageInfo.downloadFromPackageInfoURL(DefaultPackageInfo.java:581)
        ... 5 more
Caused by: java.io.FileNotFoundException: http://downloads.gvsig.org/download/gvsig-desktop/pool/org.jgrasstools.gvsig.epanet/gvSIG-desktop-2.3.0-org.jgrasstools.gvsig.epanet-0.1.1-1-testin
g-all-all-j1_8.gvspkg
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getHeaderField(Unknown Source)
        at org.gvsig.installer.lib.impl.utils.Download.getFileName(Download.java:217)
        at org.gvsig.installer.lib.impl.utils.Download.downloadFile(Download.java:116)
        ... 6 more
 INFO 68992 [File download] (DownloadProgressWizardPage.java:159) - Can't download package 'org.jgrasstools.gvsig.epanet'.
java.lang.RuntimeException: Can't download package of 'org.jgrasstools.gvsig.epanet'.
        at org.gvsig.installer.lib.impl.execution.PackagesCache$IndexCacheEntry.download(PackagesCache.java:90)
        at org.gvsig.installer.lib.impl.execution.PackagesCache.download(PackagesCache.java:241)
        at org.gvsig.installer.lib.impl.execution.DefaultInstallPackageService.downloadPackage(DefaultInstallPackageService.java:476)
        at org.gvsig.installer.swing.impl.execution.wizard.DownloadProgressWizardPage$UpdatePanel.run(DownloadProgressWizardPage.java:153)
Caused by: org.gvsig.installer.lib.impl.DefaultPackageInfo$FileDownloadException: File 'http://downloads.gvsig.org/download/gvsig-desktop/pool/org.jgrasstools.gvsig.epanet/gvSIG-desktop-2.3
.0-org.jgrasstools.gvsig.epanet-0.1.1-1-testing-al
g.epanet-0.1.1-1-testin
g-all-all-j1_8.gvspkg
        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
        at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
        at java.lang.reflect.Constructor.newInstance(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection$10.run(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection$10.run(Unknown Source)
        at java.security.AccessController.doPrivileged(Native Method)
        at sun.net.www.protocol.http.HttpURLConnection.getChainedException(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown Source)
        at org.gvsig.installer.lib.impl.utils.Download.downloadFile(Download.java:129)
        at org.gvsig.installer.lib.impl.DefaultPackageInfo.downloadFromPackageInfoURL(DefaultPackageInfo.java:581)
        ... 5 more
Caused by: java.io.FileNotFoundException:
http://downloads.gvsig.org/download/gvsig-desktop/pool/org.jgrasstools.gvsig.epanet/gvSIG-desktop-2.3.0-org.jgrasstools.gvsig.epanet-0.1.1-1-testin
g-all-all-j1_8.gvspkg
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getHeaderField(Unknown Source)
        at org.gvsig.installer.lib.impl.utils.Download.getFileName(Download.java:217)
        at org.gvsig.installer.lib.impl.utils.Download.downloadFile(Download.java:116)
        ... 6 more
 INFO 68992 [File download] (DownloadProgressWizardPage.java:159) - Can't download package 'org.jgrasstools.gvsig.epanet'.
java.lang.RuntimeException: Can't download package of 'org.jgrasstools.gvsig.epanet'.
        at org.gvsig.installer.lib.impl.execution.PackagesCache$IndexCacheEntry.download(PackagesCache.java:90)
        at org.gvsig.installer.lib.impl.execution.PackagesCache.download(PackagesCache.java:241)
        at org.gvsig.installer.lib.impl.execution.DefaultInstallPackageService.downloadPackage(DefaultInstallPackageService.java:476)
        at org.gvsig.installer.swing.impl.execution.wizard.DownloadProgressWizardPage$UpdatePanel.run(DownloadProgressWizardPage.java:153)
Caused by: org.gvsig.installer.lib.impl.DefaultPackageInfo$FileDownloadException: File 'http://downloads.gvsig.org/download/gvsig-desktop/pool/org.jgrasstools.gvsig.epanet/gvSIG-desktop-2.3
.0-org.jgrasstools.gvsig.epanet-0.1.1-1-testing-all-all-j1_8.gvspkgs' download error
        at org.gvsig.installer.lib.impl.DefaultPackageInfo.downloadFromPackageInfoURL(DefaultPackageInfo.java:592)
        at org.gvsig.installer.lib.impl.DefaultPackageInfo.downloadFile(DefaultPackageInfo.java:541)
        at org.gvsig.installer.lib.impl.execution.PackagesCache$IndexCacheEntry.download(PackagesCache.java:88)
        ... 3 more
Caused by: java.io.FileNotFoundException: http://downloads.gvsig.org/download/gvsig-desktop/pool/org.jgrasstools.gvsig.epanet/gvSIG-desktop-2.3.0-org.jgrasstools.gvsig.epanet-0.1.1-1-testin
g-all-all-j1_8.gvspkg
        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
        at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
        at java.lang.reflect.Constructor.newInstance(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection$10.run(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection$10.run(Unknown Source)
        at java.security.AccessController.doPrivileged(Native Method)
        at sun.net.www.protocol.http.HttpURLConnection.getChainedException(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown Source)
        at org.gvsig.installer.lib.impl.utils.Download.downloadFile(Download.java:129)
        at org.gvsig.installer.lib.impl.DefaultPackageInfo.downloadFromPackageInfoURL(DefaultPackageInfo.java:581)
        ... 5 more
Caused by: java.io.FileNotFoundException: http://downloads.gvsig.org/download/gvsig-desktop/pool/org.jgrasstools.gvsig.epanet/gvSIG-desktop-2.3.0-org.jgrasstools.gvsig.epanet-0.1.1-1-testin
g-all-all-j1_8.gvspkg
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getHeaderField(Unknown Source)
        at org.gvsig.installer.lib.impl.utils.Download.getFileName(Download.java:217)
        at org.gvsig.installer.lib.impl.utils.Download.downloadFile(Download.java:116)
        ... 6 more
 INFO 69022 [File download] (AbstractLocator.java:70) - Created and stored the instance of Tools.swing.threadsafedialogs in the singleton table (org.gvsig.tools.swing.impl.threadsafedialogs
.Def
g.epanet-0.1.1-1-testin
g-all-all-j1_8.gvspkg
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getHeaderField(Unknown Source)
        at org.gvsig.installer.lib.impl.utils.Download.getFileName(Download.java:217)
        at org.gvsig.installer.lib.impl.utils.Download.downloadFile(Download.java:116)
        ... 6 more
 INFO 68992 [File download] (DownloadProgressWizardPage.java:159) - Can't download package
'org.jgrasstools.gvsig.epanet'.
java.lang.RuntimeException: Can't download package of 'org.jgrasstools.gvsig.epanet'.
        at org.gvsig.installer.lib.impl.execution.PackagesCache$IndexCacheEntry.download(PackagesCache.java:90)
        at org.gvsig.installer.lib.impl.execution.PackagesCache.download(PackagesCache.java:241)
        at
org.gvsig.installer.lib.impl.execution.DefaultInstallPackageService.downloadPackage(DefaultInstallPackageService.java:476)
        at
org.gvsig.installer.swing.impl.execution.wizard.DownloadProgressWizardPage$UpdatePanel.run(DownloadProgressWizardPage.java:153)
Caused by: org.gvsig.installer.lib.impl.DefaultPackageInfo$FileDownloadException: File 'http://downloads.gvsig.org/download/gvsig-desktop/pool/org.jgrasstools.gvsig.epanet/gvSIG-desktop-2.3
.0-org.jgrasstools.gvsig.epanet-0.1.1-1-testing-all-all-j1_8.gvspkgs' download error
        at org.gvsig.installer.lib.impl.DefaultPackageInfo.downloadFromPackageInfoURL(DefaultPackageInfo.java:592)
        at org.gvsig.installer.lib.impl.DefaultPackageInfo.downloadFile(DefaultPackageInfo.java:541)
        at org.gvsig.installer.lib.impl.execution.PackagesCache$IndexCacheEntry.download(PackagesCache.java:88)
        ... 3 more
Caused by: java.io.FileNotFoundException: http://downloads.gvsig.org/download/gvsig-desktop/pool/org.jgrasstools.gvsig.epanet/gvSIG-desktop-2.3.0-org.jgrasstools.gvsig.epanet-0.1.1-1-testin
g-all-all-j1_8.gvspkg
        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
        at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
        at java.lang.reflect.Constructor.newInstance(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection$10.run(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection$10.run(Unknown Source)
        at java.security.AccessController.doPrivileged(Native Method)
        at sun.net.www.protocol.http.HttpURLConnection.getChainedException(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown Source)
        at org.gvsig.installer.lib.impl.utils.Download.downloadFile(Download.java:129)
        at org.gvsig.installer.lib.impl.DefaultPackageInfo.downloadFromPackageInfoURL(DefaultPackageInfo.java:581)
        ... 5 more
Caused by: java.io.FileNotFoundException: http://downloads.gvsig.org/download/gvsig-desktop/pool/org.jgrasstools.gvsig.epanet/gvSIG-desktop-2.3.0-org.jgrasstools.gvsig.epanet-0.1.1-1-testin
g-all-all-j1_8.gvspkg
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getHeaderField(Unknown Source)
        at org.gvsig.installer.lib.impl.utils.Download.getFileName(Download.java:217)
        at org.gvsig.installer.lib.impl.utils.Download.downloadFile(Download.java:116)
        ... 6 more
 INFO 69022 [File download] (AbstractLocator.java:70) - Created and stored the instance of Tools.swing.threadsafedialogs in the singleton table (org.gvsig.tools.swing.impl.threadsafedialogs
.DefaultThreadSafeDialogsManager/org.gvsig.tools.swing.impl.threadsafedialogs.DefaultThreadSafeDialogsManager@402a2b81).
 INFO 69033 [AWT-EventQueue-0] (Messages.java:753) - [org.gvsig.i18n.Messages] Cannot find translation for key 'Unable to download these packages:

 - org.jgrasstools.gvsig.epanet
'.

ge.java:153)
Caused by: org.gvsig.installer.lib.impl.DefaultPackageInfo$FileDownloadException: File
'http://downloads.gvsig.org/download/gvsig-desktop/pool/org.jgrasstools.gvsig.epanet/gvSIG-desktop-2.3
.0-org.jgrasstools.gvsig.epanet-0.1.1-1-testing-all-all-j1_8.gvspkgs' download error
        at org.gvsig.installer.lib.impl.DefaultPackageInfo.downloadFromPackageInfoURL(DefaultPackageInfo.java:592)
        at org.gvsig.installer.lib.impl.DefaultPackageInfo.downloadFile(DefaultPackageInfo.java:541)
        at org.gvsig.installer.lib.impl.execution.PackagesCache$IndexCacheEntry.download(PackagesCache.java:88)
        ... 3 more
Caused by: java.io.FileNotFoundException:
http://downloads.gvsig.org/download/gvsig-desktop/pool/org.jgrasstools.gvsig.epanet/gvSIG-desktop-2.3.0-org.jgrasstools.gvsig.epanet-0.1.1-1-testin
g-all-all-j1_8.gvspkg
        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
        at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
        at java.lang.reflect.Constructor.newInstance(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection$10.run(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection$10.run(Unknown Source)
        at java.security.AccessController.doPrivileged(Native Method)
        at sun.net.www.protocol.http.HttpURLConnection.getChainedException(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown Source)
        at org.gvsig.installer.lib.impl.utils.Download.downloadFile(Download.java:129)
        at org.gvsig.installer.lib.impl.DefaultPackageInfo.downloadFromPackageInfoURL(DefaultPackageInfo.java:581)
        ... 5 more
Caused by: java.io.FileNotFoundException: http://downloads.gvsig.org/download/gvsig-desktop/pool/org.jgrasstools.gvsig.epanet/gvSIG-desktop-2.3.0-org.jgrasstools.gvsig.epanet-0.1.1-1-testin
g-all-all-j1_8.gvspkg
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getHeaderField(Unknown Source)
        at org.gvsig.installer.lib.impl.utils.Download.getFileName(Download.java:217)
        at org.gvsig.installer.lib.impl.utils.Download.downloadFile(Download.java:116)
        ... 6 more
 INFO 69022 [File download] (AbstractLocator.java:70) - Created and stored the instance of Tools.swing.threadsafedialogs in the singleton table (org.gvsig.tools.swing.impl.threadsafedialogs
.DefaultThreadSafeDialogsManager/org.gvsig.tools.swing.impl.threadsafedialogs.DefaultThreadSafeDialogsManager@402a2b81).
 INFO 69033 [AWT-EventQueue-0] (Messages.java:753) - [org.gvsig.i18n.Messages] Cannot find translation for key 'Unable to download these packages:

 - org.jgrasstools.gvsig.epanet
'.

g.epanet-0.1.1-1-testin
g-all-all-j1_8.gvspkg
        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
        at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
        at java.lang.reflect.Constructor.newInstance(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection$10.run(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection$10.run(Unknown Source)
        at java.security.AccessController.doPrivileged(Native Method)
        at sun.net.www.protocol.http.HttpURLConnection.getChainedException(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown Source)
        at org.gvsig.installer.lib.impl.utils.Download.downloadFile(Download.java:129)
        at org.gvsig.installer.lib.impl.DefaultPackageInfo.downloadFromPackageInfoURL(DefaultPackageInfo.java:581)
        ... 5 more
Caused by: java.io.FileNotFoundException:
http://downloads.gvsig.org/download/gvsig-desktop/pool/org.jgrasstools.gvsig.epanet/gvSIG-desktop-2.3.0-org.jgrasstools.gvsig.epanet-0.1.1-1-testin
g-all-all-j1_8.gvspkg
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getHeaderField(Unknown Source)
        at org.gvsig.installer.lib.impl.utils.Download.getFileName(Download.java:217)
        at org.gvsig.installer.lib.impl.utils.Download.downloadFile(Download.java:116)
        ... 6 more
 INFO 69022 [File download] (AbstractLocator.java:70) - Created and stored the instance of Tools.swing.threadsafedialogs in the singleton table (org.gvsig.tools.swing.impl.threadsafedialogs
.DefaultThreadSafeDialogsManager/org.gvsig.tools.swing.impl.threadsafedialogs.DefaultThreadSafeDialogsManager@402a2b81).
 INFO 69033 [AWT-EventQueue-0] (Messages.java:753) - [org.gvsig.i18n.Messages] Cannot find translation for key 'Unable to download these packages:

 - org.jgrasstools.gvsig.epanet
'.

g.epanet-0.1.1-1-testin
g-all-all-j1_8.gvspkg
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown Source)
        at sun.net.www.protocol.http.HttpURLConnection.getHeaderField(Unknown Source)
        at org.gvsig.installer.lib.impl.utils.Download.getFileName(Download.java:217)
        at org.gvsig.installer.lib.impl.utils.Download.downloadFile(Download.java:116)
        ... 6 more
 INFO 69022 [File download] (AbstractLocator.java:70) - Created and stored the instance of Tools.swing.threadsafedialogs in
the singleton table (org.gvsig.tools.swing.impl.threadsafedialogs
.DefaultThreadSafeDialogsManager/org.gvsig.tools.swing.impl.threadsafedialogs.DefaultThreadSafeDialogsManager@402a2b81).
 INFO 69033 [AWT-EventQueue-0] (Messages.java:753) - [org.gvsig.i18n.Messages] Cannot find translation for key 'Unable to download these packages:

 - org.jgrasstools.gvsig.epanet
'.

81).
 INFO 69033 [AWT-EventQueue-0] (Messages.java:753) - [org.gvsig.i18n.Messages] Cannot find translation for key 'Unable to
download these packages:

 - org.jgrasstools.gvsig.epanet
'.

History
#1 - 07/25/2017 11:07 AM - Antonio Falciano

Hi Andrea,
I've just tried to install your old hydrologis4gvsig_0.1.0.gvspks and also a gvspkg generated from the Scripting composer in build 2827 and they work
fine. It seems an index error, so try to skip its generation while packaging.

#2 - 07/25/2017 11:09 AM - Andrea Antonello

Hi Antonio, thanks for the comment.

What do you mean by index error? And by not generating it?

#3 - 07/25/2017 11:21 AM - Antonio Falciano
Andrea, your .gvspkg (or also .gvspki) points to http://downloads.gvsig.org/download/gvsig-desktop/pool URL, but there aren't your plugins in the pool,
so FileNotFoundExceptions happen. To avoid them, I'd try to remove any reference to that URL in the gvspkg.

#4 - 07/25/2017 11:41 AM - Antonio Falciano

In short, you should correct (or just leave empty) the download-url value in the package.info file of the gvspki ones. There was this error also in
hydrologis4gvsig_0.1.0.gvspks.

#5 - 07/25/2017 12:31 PM - Álvaro Anguix
- Status changed from New to Invalid

As Antonio said I understand that this is not a bug. So I change status to invalid.

#6 - 07/25/2017 04:37 PM - Andrea Antonello
- Status changed from Invalid to New

No Alvaro, that is not quite true.

Antonio is right, the entry is there. But I am building with maven and it is adding that entry without me wanting it. So it is a problem of the build system.

The package.info file seems to be created using the properties in the pom.xml, but even if I set:

<gvsig.package.info.download-url></gvsig.package.info.download-url>

to be empty, the download-url is populated with the same url, which then makes the installation fail.

Any hint about this?

#7 - 07/25/2017 04:51 PM - Andrea Antonello

Ok, strolling around the jars I found the right property to be:

<gvsig.package.info.poolURL></gvsig.package.info.poolURL>

But I am not allowed to leave it empty (maven fails to build). So I inserted the word "dummy", which leads me to have in the package.info an entry like:

download-url=dummy/org.jgrasstools.gvsig.spatialtoolbox/gvSIG-desktop-2.3.0-org.jgrasstools.gvsig.spatialtoolbox-0.1.1-1-testing-all-all-j1_8.g
vspkg

What is the right way to handle this? 
I never noticed it, so it is clear that in previous versions the installation worked also with the pool url of gvSIG.
#8 - 07/25/2017 06:03 PM - Antonio Falciano

Andrea, it seems that gvspki can be skipped in the next builds, because they will be generated on the fly according to r43374.

#9 - 07/26/2017 09:17 AM - Andrea Antonello

Well, that is probably the reason it doesn't work anymore. 
Also with the dummy path, it adds the gvsig url and fails.

At the moment it is not possible to install plugins created through maven in automatic.

#10 - 07/26/2017 11:08 AM - Antonio Falciano

It seems that this ticket is related to #4514.

#11 - 03/04/2020 01:37 PM - Álvaro Anguix
- Status changed from New to Outdated
